Subject: 2021-06-07; C-cC-e environment insertion with first line of contents commented out

From: jfbu <[email-masked]>
Date: Tue, 8 Jun 2021 10:42:52 +0200

Hi,
This may be a duplicate, sorry.
I am testing with git clone at 1b1361c0 Make TeX-fold-mode aware of superscript and subscript

Starting with this buffer:
---
\documentclass{article}

\begin{document}
%deliberately missing closing $ after \simeq
Reduces the background count rate by a factor of $R$ ($R\simeq 1/(1-.89)
= 9.1 for the shielding I used).
\end{document}
---

and LaTeX-mode active, select the three lines inside
the document environment, then hit C-cC-e foo

The result is

% \begin{foo}
%   deliberately missing closing $ after \simeq
Reduces the background count rate by a factor of $R$ ($R\simeq 1/(1-.89) = 9.1
for the shielding I used).
% \end{foo}

Perhaps environment insertion should by default, except
if in doctex-mode, not use % ?

or use it only if **all** lines are commented out ?

Best,
Jean-François